Loading...
Searching...
No Matches
peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent Struct Reference

Event: Firmware update on a device was started or has finished. More...

`import <PeripheralDeviceManager.idl;`

Inheritance diagram for peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent:

## Public Attributes

string | oldVersion
| Firmware version before update.
string | newVersion
| Firmware version to be updated to.
string | serial
| Serial number of device.
DeviceFirmwareUpdateState | state
| Update state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update on a device was started or has finished.

Definition at line 98 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## newVersion

string peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent::newVersion

Firmware version to be updated to.

Definition at line 100 of file PeripheralDeviceManager.idl.

## oldVersion

string peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent::oldVersion

Firmware version before update.

Definition at line 99 of file PeripheralDeviceManager.idl.

## serial

string peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent::serial

Serial number of device.

Definition at line 101 of file PeripheralDeviceManager.idl.

## state

DeviceFirmwareUpdateState peripheral::DeviceManager::DeviceFirmwareUpdateStateChangedEvent::state

Update state.

Definition at line 102 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl